Page MenuHomeFreeBSD

lang/rust: Update to 1.46.0
ClosedPublic

Authored by tobik on Aug 24 2020, 10:55 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Jul 4, 12:50 PM
Unknown Object (File)
Wed, Jul 3, 2:40 PM
Unknown Object (File)
Tue, Jul 2, 3:23 PM
Unknown Object (File)
Jun 2 2024, 3:36 PM
Unknown Object (File)
May 23 2024, 10:55 PM
Unknown Object (File)
May 12 2024, 7:55 PM
Unknown Object (File)
May 3 2024, 10:08 PM
Unknown Object (File)
Apr 26 2024, 12:43 PM
Subscribers

Details

Reviewers
pkubaj
tobik
mikael
Group Reviewers
rust
O5: Ports Framework(Owns No Changed Paths)
portmgr
Commits
rP547071: lang/rust: Update to 1.46.0
Summary

Scheduled to be released on 2020-08-27. Commit planned for next week (2020-09-01) around the same time this review was opened.

https://blog.rust-lang.org/inside-rust/2020/08/24/1.46.0-prerelease.html
https://github.com/rust-lang/rust/blob/stable/RELEASES.md#version-1460-2020-08-27

Test Plan

11.3 amd64: ok
11.3 i386: ok consumers: ok
12.1 amd64: ok consumers: ok
12.1 i386: ok
13.0 i386: ok
13.0 amd64: ok

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 33158
Build 30512: arc lint + arc unit

Event Timeline

  • Unbreak devel/sentry-cli
  • Also update lang/rust-bootstrap
tobik edited the test plan for this revision. (Show Details)

Seems ok on amd64 and i386.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 30 2020, 6:36 PM
Closed by commit rP547071: lang/rust: Update to 1.46.0 (authored by tobik). · Explain Why
This revision was automatically updated to reflect the committed changes.